Bug 980855 - RHEVM-CLI: [TEXT] wrong error message appears after running 'show event --id <wrong id>'
RHEVM-CLI: [TEXT] wrong error message appears after running 'show event --id ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ravi Nori
Ilia Meerovich
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 07:19 EDT by Ilia Meerovich
Modified: 2016-02-10 14:19 EST (History)
7 users (show)

See Also:
Fixed In Version: is13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 16779 None None None Never

  None (edit)
Description Ilia Meerovich 2013-07-03 07:19:15 EDT
Build is4:

Please take a look at the next output:
-----------------------------------------

[RHEVM shell (connected)]# show event --id foo


error: event "['foo']" does not exist.


[RHEVM shell (connected)]# show event --id 1222


error: event "[1222]" does not exist.
------------------------------------------

expected message should be something like:
error: event 'foo' does not exist.
error: event 1222 does not exist.
Comment 1 Ilia Meerovich 2013-09-08 09:37:36 EDT
[imeerovi@imeerovi (97% =) ~]$ rpm -q rhevm-cli
rhevm-cli-3.3.0.6-1.el6ev.noarch
[imeerovi@imeerovi (97% =) ~]$ rhevm-shell 

 ==========================================
 >>> connected to RHEVM manager 3.3.0.0 <<<
 ==========================================


        
 ++++++++++++++++++++++++++++++++++++++++++
 
           Welcome to RHEVM shell
 
 ++++++++++++++++++++++++++++++++++++++++++
        
    
[RHEVM shell (connected)]# show event --id foo


error: event foo does not exist.


[RHEVM shell (connected)]# show event --id 1234


error: event 1234 does not exist.


[RHEVM shell (connected)]#
Comment 2 Itamar Heim 2014-01-21 17:31:16 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:31:17 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:34:03 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.